/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

[scriptable, uuid(1b1c1886-940c-411b-9721-70b3e08ff0fc)]
interface flockIDateFormatter : nsISupports {
    AString getTimeString(in PRTime time);
    AString getDateString(in PRTime time);
    AString getDateTimeString(in PRTime time);
    AString getShortDateTimeString(in PRTime time);
    AString getFriendlyLastDate(in PRTime time);
};
